## lyx 2.0.2

=== development/cmake/CMakeLists.txt ===

# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>


cmake_minimum_required(VERSION 2.6.4)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 OLD)
	cmake_policy(SET CMP0005 OLD)
endif()

#needed to distinguish fron trunk, so we can install both simultaneously
set(LYX_PROJECT lyx20)
project(${LYX_PROJECT})

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Supress regeneration
set(CMAKE_SUPPRESS_REGENERATION FALSE)

# where to look first for cmake modules,
# before ${CMAKE_ROOT}/Modules is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")

if(UNIX)
	FIND_PROGRAM(DPKG_ARCHITECTURE_EXECUTABLE dpkg-architecture)
	if(DPKG_ARCHITECTURE_EXECUTABLE)
		EXECUTE_PROCESS(COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH OUTPUT_VARIABLE ARCH_TRIPLET OUTPUT_STRIP_TRAILING_WHITESPACE)
	endif()
endif()
if(ARCH_TRIPLET)
	set(SYSTEM_LIB_DIRS /usr/lib /usr/lib/${ARCH_TRIPLET} /usr/local/lib)
else()
	set(SYSTEM_LIB_DIRS /usr/lib /usr/local/lib)
endif()

include(LyXMacros)


# Usage LYX_OPTION
# 1. parameter: option name without prefix 'LYX_'
# 2. parameter: description
# 3. parameter: default value, ON or OFF
# 4. parameter: system on which option is used: ALL, GCC, MSVC, ...


LYX_OPTION_INIT()

# Options for all compilers/systems
LYX_OPTION(CPACK "Use the CPack management (Implies LYX_INSTALL option)" OFF ALL)
LYX_OPTION(INSTALL "Build install projects/rules (implies a bunch of other options)" OFF ALL)
LYX_OPTION(NLS "Use nls" OFF ALL)
LYX_OPTION(ASPELL "Require aspell" OFF ALL)
LYX_OPTION(ENCHANT "Require Enchant" OFF ALL)
LYX_OPTION(HUNSPELL "Require Hunspell" OFF ALL)
LYX_OPTION(DEVEL_VERSION "Build developer version" OFF ALL) 
LYX_OPTION(RELEASE "Build release version, build debug when disabled" ON ALL)
LYX_OPTION(PACKAGE_SUFFIX "Use version suffix for packaging" ON ALL)
LYX_OPTION(PCH "Use precompiled headers" OFF ALL)
LYX_OPTION(MERGE_FILES "Merge source files into one compilation unit" OFF ALL)
LYX_OPTION(MERGE_REBUILD "Rebuild generated files from merged files build" OFF ALL)
LYX_OPTION(QUIET "Don't generate verbose makefiles" OFF ALL)
LYX_OPTION(INSTALL_PREFIX "Install path for LyX" OFF ALL)
LYX_OPTION(EXTERNAL_LIBINTL "Use external libintl" ON ALL)

# GCC specific
LYX_OPTION(PROFILE "Build profile version" OFF GCC)
LYX_OPTION(EXTERNAL_BOOST "Use external boost" OFF GCC)
LYX_OPTION(PROGRAM_SUFFIX "Append version suffix to binaries" ON GCC)
LYX_OPTION(DEBUG_GLIBC "Enable libstdc++ debug mode" OFF GCC)
LYX_OPTION(DEBUG_GLIBC_PEDANTIC "Enable libstdc++pedantic debug mode" OFF GCC)
LYX_OPTION(STDLIB_DEBUG "Use debug stdlib" OFF GCC)
LYX_OPTION(CONCEPT_CHECKS "Enable concept-checks" OFF GCC)

# MSVC specific
LYX_OPTION(CONSOLE "Show console on Windows" ON MSVC)
LYX_OPTION(VLD "Use VLD with MSVC" OFF MSVC)
LYX_OPTION(WALL "Enable all warnings" OFF MSVC)
LYX_OPTION(CONFIGURE_CHECKS "Also run configure checks for MSVC" OFF MSVC)
LYX_OPTION(DEPENDENCIES_DOWNLOAD "Download dependencies for MSVC 10" OFF MSVC)

# Check option dependencies
if(LYX_CPACK)
	set(LYX_INSTALL ON)
endif()

if(LYX_INSTALL)
	set(LYX_NLS ON)
	if (WIN32)
		set(LYX_HUNSPELL ON)
	endif()
	set(LYX_CONSOLE OFF)
	set(LYX_PACKAGE_SUFFIX ON)
	set(LYX_RELEASE ON)
	set(LYX_PROFILE OFF)
endif()

if(LYX_MERGE_FILES)
	set(LYX_PCH OFF)
else()
	set(LYX_MERGE_REBUILD OFF)
endif()

if(LYX_DEPENDENCIES_DOWNLOAD)
	message(STATUS)
	set(LYX_DEPENDENCIES_DIR ${CMAKE_BINARY_DIR}/msvc2010-deps)
	message(STATUS "Using downloaded dependencies in ${LYX_DEPENDENCIES_DIR}")
	set(deps_files lyx20-deps-msvc2010.zip)
	set(deps_server http://downloads.sourceforge.net/project/lyx/Win_installers/Dependencies)
	foreach(it ${deps_files})
		set(already_downloaded already_downloaded-NOTFOUND CACHE PATH "downloaded" FORCE)
		find_file(already_downloaded ${it} "${LYX_DEPENDENCIES_DIR}/download")
		if(NOT already_downloaded)
			message(STATUS "Downloading ${it} ...")
			file(DOWNLOAD ${deps_server}/${it} ${LYX_DEPENDENCIES_DIR}/download/${it} SHOW_PROGRESS)
			execute_process(COMMAND ${CMAKE_COMMAND} -E tar xzf ${LYX_DEPENDENCIES_DIR}/download/${it}
		                      WORKING_DIRECTORY ${LYX_DEPENDENCIES_DIR})
		endif()
	endforeach()
	set(GNUWIN32_DIR ${LYX_DEPENDENCIES_DIR}/deps20)
endif()


message(STATUS)

set(EXECUTABLE_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/lib)



if(UNIX OR MINGW)
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
	message(STATUS "Using GCC version ${GCC_VERSION}")
	if(NOT GCC_VERSION VERSION_LESS 4.4)
		set(LYX_USE_TR1 1)
		# GCC <= 4.5 does not support regex: there are linker errors
		# http://gcc.gnu.org/onlinedocs/libstdc++/manual/status.html#status.iso.tr1
		set(LYX_USE_TR1_REGEX 0)
	endif()
else()
	if(MSVC10)
		set(LYX_USE_TR1 1)
		#set(LYX_USE_TR1_REGEX 1) #TODO should we use it in ECMAScript mode?
	endif()
endif()


set(VERSION_INFO "CMake Build")

# Try to get some informations from configure.ac

include(LyXPaths)    #called here to define the needed TOP_SRC_DIR-variable
file(STRINGS "${TOP_SRC_DIR}/configure.ac" _config_lines)

if(WIN32)
	set(USE_WINDOWS_PACKAGING 1)
elseif(APPLE)
	set(USE_MACOSX_PACKAGING 1)
else()
	set(USE_POSIX_PACKAGING 1)
endif()

macro(setstripped _varname _value)
	string(STRIP ${_value} _v)
	if(USE_POSIX_PACKAGING)
		string(TOLOWER ${_v} ${_varname})
	else()
		set(${_varname} ${_v})
	endif()
endmacro(setstripped)

foreach(_c_l ${_config_lines} )
	if(_c_l MATCHES "^AC_INIT\\(\([^,]+\),\([^,]+\), *\\[\([^,]+\)\\] *,\(.*\)")
		setstripped(PACKAGE_BASE ${CMAKE_MATCH_1})
		setstripped(PACKAGE_VERSION ${CMAKE_MATCH_2})
		setstripped(PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
		if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\).*$")
			set(LYX_MAJOR_VERSION ${CMAKE_MATCH_1})
			set(LYX_MINOR_VERSION ${CMAKE_MATCH_2})
			set(LYX_DIR_VER "LYX_DIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_USERDIR_VER "LYX_USERDIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_INSTALL_SUFFIX "${CMAKE_MATCH_1}.${CMAKE_MATCH_2}")
		endif()
	endif()
	if(_c_l MATCHES "^AC_SUBST\\( *LYX_DATE *, *\\[\\\"(.*)\\\"\\].*")
		set(LYX_DATE "${CMAKE_MATCH_1}")
	endif()
endforeach(_c_l)


if (LYX_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${LYX_INSTALL_PREFIX} CACHE PATH "LyX user's choice install prefix" FORCE)
	set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
endif()
set(LYX_INSTALL_PREFIX ${LYX_INSTALL_PREFIX} CACHE PATH "LyX user's choice install prefix" FORCE)

if(LYX_PACKAGE_SUFFIX)
	set(PACKAGE ${PACKAGE_BASE}${LYX_INSTALL_SUFFIX})
else()  
	set(PACKAGE ${PACKAGE_BASE})
endif()

if(LYX_PROGRAM_SUFFIX)
	set(PROGRAM_SUFFIX "${LYX_INSTALL_SUFFIX}")
else()
	set(PROGRAM_SUFFIX "")
endif()


if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
	# see http://www.cmake.org/pipermail/cmake/2006-October/011559.html
	if (UNIX)
		# don't use the default "/usr/local"
		# but respect the user-choice on the command-line
		if(LYX_INSTALL_SUFFIX)
			set(CMAKE_INSTALL_PREFIX "/usr/local/lyx${LYX_INSTALL_SUFFIX}" CACHE PATH "LyX default install prefix" FORCE)
		else()
			set(CMAKE_INSTALL_PREFIX "/usr/local/${LYX_PROJECT}" CACHE PATH "LyX default install prefix" FORCE)
		endif()
	endif()
	if(WIN32)
		set(CMAKE_INSTALL_PREFIX LYX_INSTALLED CACHE PATH "LyX default install prefix" FORCE)
	endif()
endif()

if (WIN32)
	set(LYX_DATA_SUBDIR "Resources/" CACHE STRING "Subdirectory for all lyx-system-data" FORCE)
else()
	set(LYX_DATA_SUBDIR "" CACHE STRING "Subdirectory for all lyx-system-data" FORCE)
endif()

set(LYX_ABS_INSTALLED_DATADIR "${CMAKE_INSTALL_PREFIX}")
set(LYX_LOCALEDIR "locale")
set(LYX_ABS_INSTALLED_LOCALEDIR "${LYX_ABS_INSTALLED_DATADIR}/${LYX_DATA_SUBDIR}${LYX_LOCALEDIR}")
set(LYX_ABS_TOP_SRCDIR "${TOP_SRC_DIR}")


if(NOT GROUP_CODE)
	#set(GROUP_CODE "The Golden Code")
	set(GROUP_CODE flat)
endif()

# lyx's source files
set(LYX_CPP_FILES *.cpp)
set(LYX_HPP_FILES *.h)
set(LYX_MOC_FILES moc_*.cpp)


include(ProjectSourceGroup)


if(LYX_PROFILE)
	set(CMAKE_BUILD_TYPE Profile CACHE TYPE STRING FORCE)
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
endif()

if(LYX_RELEASE)
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Build release version" FORCE)
else()
	set(CMAKE_BUILD_TYPE Debug CACHE STRING "Build debug version" FORCE)
endif()

# When shared libs are supported enable this option
#LYX_OPTION(SHARED_LIBRARIES "Build shared libraries" OFF ALL)
if(LYX_SHARED_LIBRARIES)
	set(library_type SHARED)
else()
 	set(library_type STATIC)
endif()

if(NOT MSVC)
	if(NOT LYX_QUIET)
		set(CMAKE_VERBOSE_MAKEFILE ON)
	endif()
	set(LYX_CXX_FLAGS "-Wall -Wunused-parameter")
	if(LYX_STDLIB_DEBUG)
		set(LYX_CXX_FLAGS "${LYX_CXX_FLAGS} -D_GLIBCXX_DEBUG -D_GLIBCXX_DEBUG_PEDANTIC")
	endif()
	if(LYX_CONCEPT_CHECKS)
		set(LYX_CXX_FLAGS "${LYX_CXX_FLAGS} -D_GLIBCPP_CONCEPT_CHECKS")
	endif()
	set(CMAKE_CXX_FLAGS       "${LYX_CXX_FLAGS} -fno-strict-aliasing " CACHE TYPE STRING FORCE)
	set(CMAKE_CXX_FLAGS_DEBUG "${LYX_CXX_FLAGS} -fno-strict-aliasing -O0 -g -D_DEBUG" CACHE TYPE STRING FORCE)
	if(MINGW)
		set(CMAKE_CXX_FLAGS_RELEASE "${LYX_CXX_FLAGS} -O2 -DNDEBUG" CACHE TYPE STRING FORCE)
	else()
		set(CMAKE_CXX_FLAGS_RELEASE "${LYX_CXX_FLAGS} -O3 -DNDEBUG" CACHE TYPE STRING FORCE)
	endif()
	set(CMAKE_CXX_FLAGS_PROFILE "${CMAKE_CXX_FLAGS_RELEASE} -pg" CACHE TYPE STRING FORCE)
endif()


find_package(Qt4 REQUIRED)
find_package(ICONV REQUIRED)
find_package(ZLIB REQUIRED)

include_directories(${CMAKE_BINARY_DIR} ${TOP_SRC_DIR}/src)
  
if(LYX_ASPELL)
	find_package(ASPELL)
	include_directories(${ASPELL_INCLUDE_DIR})
endif()

if(LYX_ENCHANT)
	find_package(Enchant REQUIRED)
	include_directories(${ENCHANT_INCLUDE_DIR})
endif()

if(LYX_HUNSPELL)
	find_package(Hunspell REQUIRED)
	include_directories(${HUNSPELL_INCLUDE_DIR})
endif()

if(LYX_NLS)
	FIND_PROGRAM(LYX_PYTHON_EXECUTABLE python HINTS ${GNUWIN32_DIR}/python)
	if(${LYX_PYTHON_EXECUTABLE} MATCHES "-NOTFOUND")
		message(FATAL_ERROR "Python 2.6 needed!")
	endif()
	find_package(LyXGettext REQUIRED)
	include_directories(${TOP_SRC_DIR}/po)
	add_subdirectory(po)
endif()

if(LYX_EXTERNAL_LIBINTL)
	find_package(Libintl REQUIRED)
	add_definitions(-DHAVE_GETTEXT) #TODO move to config.h
else()
	add_subdirectory(intl)
endif()

if(LYX_EXTERNAL_BOOST)
	message(STATUS "Searching for boost")
	find_package(Boost COMPONENTS signals regex) #TODO could REQUIRED be used
	if(Boost_FOUND)
		message(STATUS "Boost found")
		message(STATUS "Boost-libs = ${Boost_LIBRARIES}")
		set(Lyx_Boost_Libraries ${Boost_LIBRARIES})
	else()
		message(FATAL_ERROR "Boost not found" ${Boost_ERROR_REASON})
	endif()
else()
	if(LYX_USE_TR1_REGEX)
		set(Lyx_Boost_Libraries boost_signals)
	else()
		set(Lyx_Boost_Libraries boost_signals boost_regex)
	endif()
	add_definitions(-DBOOST_USER_CONFIG="<config.h>")
	include_directories(${TOP_SRC_DIR}/boost)
	add_subdirectory(boost)
endif()




if(WIN32)
	if(NOT LYX_CONSOLE)
		set(WIN32_CONSOLE WIN32)
		set(LYX_QTMAIN_LIBRARY ${QT_QTMAIN_LIBRARY})
	endif()
	if(MSVC)
		add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -DNOMINMAX)
		# disable checked iterators for msvc release builds to get maximum speed
		set(CMAKE_CXX_FLAGS_RELEASE  "${CMAKE_CXX_FLAGS_RELEASE} /D_SECURE_SCL=0")
	else()
		add_definitions(-DWINVER=0x0500)
	endif()
endif()

message(STATUS "")
foreach(_v PACKAGE PACKAGE_VERSION
	PROGRAM_SUFFIX LYX_DATE LYX_DIR_VER LYX_USERDIR_VER
	LYX_ABS_TOP_SRCDIR
	LYX_ABS_INSTALLED_DATADIR LYX_ABS_INSTALLED_LOCALEDIR LYX_INSTALL_SUFFIX)
	if(NOT DEFINED ${_v})
		message(FATAL_ERROR "${_v} not defined")
	endif()
	string(SUBSTRING "${_v}                            " 0 28 _v1)
	message(STATUS "----- ${_v1}: ${${_v}}")
endforeach(_v)
message(STATUS "")


if(LYX_PCH)
	# PCHs not supported by cmake: http://www.cmake.org/Bug/view.php?id=1260
	# Not sure if it works for all non-msvc compilers
	include(PCHSupport_26)

=== development/cmake/src/tex2lyx/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

set(_tex2lyx tex2lyx${PROGRAM_SUFFIX})
project(${_tex2lyx})

# There is no header file lengthcommon.h
set(LINKED_sources ${TOP_SRC_DIR}/src/lengthcommon.cpp)
set(LINKED_headers)

foreach(_src insets/InsetLayout Color Counters
	Encoding FloatList Floating FontInfo
	Layout LayoutFile LayoutModuleList Lexer ModuleList TextClass
	Spacing version)
	list(APPEND LINKED_sources ${TOP_SRC_DIR}/src/${_src}.cpp)
	list(APPEND LINKED_headers ${TOP_SRC_DIR}/src/${_src}.h)
endforeach(_src)

file(GLOB tex2lyx_sources ${TOP_SRC_DIR}/src/tex2lyx/${LYX_CPP_FILES})

file(GLOB tex2lyx_headers ${TOP_SRC_DIR}/src/tex2lyx/${LYX_HPP_FILES})

include_directories(BEFORE
	${TOP_SRC_DIR}/src/tex2lyx
	${TOP_SRC_DIR}/src/support/minizip
	${ZLIB_INCLUDE_DIR})

add_definitions(-DTEX2LYX)

if(NOT LYX_MERGE_FILES)
	add_executable(${_tex2lyx} ${tex2lyx_sources} ${LINKED_sources} ${tex2lyx_headers} ${LINKED_headers})
else()
	lyx_const_touched_files(_allinone  tex2lyx_sources)
	lyx_const_touched_files(_allinone_linked  LINKED_sources)
	add_executable(${_tex2lyx} ${_allinone_files} ${_allinone_linked_files})
endif()

target_link_libraries(${_tex2lyx}
	support
	${Lyx_Boost_Libraries}
	${QT_QTCORE_LIBRARY}
	${LIBINTL_LIBRARIES}
	${ICONV_LIBRARY})

if(WIN32)
	target_link_libraries(${_tex2lyx} shlwapi ole32 psapi)
endif()

if(APPLE)
	target_link_libraries(${_tex2lyx} "-framework Carbon")
endif()

project_source_group("${GROUP_CODE}" tex2lyx_sources tex2lyx_headers)

install(TARGETS ${_tex2lyx} DESTINATION bin)

=== debian/changelog ===
lyx (2.0.2-1ubuntu2) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 12:51:30 +0000

lyx (2.0.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
      after Ubuntu 12.04 LTS. 

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 23 Dec 2011 00:36:36 -0600

lyx (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch to point to 2.0.x series ftp directory.
    Closes: #650583.
  * Remove menu from Suggests. Closes: #647373.

 -- Per Olofsson <pelle@debian.org>  Sun, 11 Dec 2011 14:36:17 +0100

=== debian/control ===
Source: lyx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>
Section: editors
Priority: optional
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
Homepage: http://www.lyx.org/
Build-Depends: python (>= 2.6.6-3), debhelper (>= 8.1.0~),
 libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
 autotools-dev, libqt4-dev, libboost-dev,
 libboost-filesystem-dev, libboost-signals-dev,
 libboost-iostreams-dev, libboost-regex-dev, libboost-test-dev,
 pkg-config, tex-common

Package: lyx
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, ttf-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html 
Suggests: rcs, dvipost, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox
Description: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * dvipost: display tracked changes in DVI format output
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * linuxdoc-tools: export SGML LinuxDoc documents
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb: import noweb files
  * rcs: integrated version control
  * sgmltools-lite: export SGML DocBook documents
  * texlive-xetex, etoolbox: use the XeTeX typesetting system
  * wv: import MS Word documents

Package: lyx-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: lyx
Description: architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.

Package: ttf-lyx
Architecture: all
Section: fonts
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
Depends: ${misc:Depends}
Description: TrueType versions of some TeX fonts
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Iceweasel.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

=== debian/watch ===
version=3
ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/lyx-([\d\.]+)\.tar\.gz

## lyx 2.0.3

=== development/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	message(STATUS)
 	set(LYX_DEPENDENCIES_DIR ${CMAKE_BINARY_DIR}/msvc2010-deps)
 	message(STATUS "Using downloaded dependencies in ${LYX_DEPENDENCIES_DIR}")
-	set(deps_files lyx20-deps-msvc2010.zip)
+	set(deps_files lyx20-deps-msvc2010-x86.zip)
 	set(deps_server http://downloads.sourceforge.net/project/lyx/Win_installers/Dependencies)
 	foreach(it ${deps_files})
 		set(already_downloaded already_downloaded-NOTFOUND CACHE PATH "downloaded" FORCE)

=== development/cmake/lyx2lyx/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

configure_file(${TOP_SRC_DIR}/lib/lyx2lyx/lyx2lyx_version.py.in 
               ${CMAKE_CURRENT_BINARY_DIR}/lyx2lyx_version.py)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lyx2lyx_version.py DESTINATION ${LYX_DATA_SUBDIR}lyx2lyx)

if (UNIX)
	set(_project "lyx2lyx")
	include(../PyCompile)
endif()

install(PROGRAMS ${TOP_SRC_DIR}/lib/lyx2lyx/lyx2lyx DESTINATION ${LYX_DATA_SUBDIR}lyx2lyx)

=== development/cmake/src/tex2lyx/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,10 @@
 set(LINKED_sources ${TOP_SRC_DIR}/src/lengthcommon.cpp)
 set(LINKED_headers)
 
-foreach(_src insets/InsetLayout Color Counters
-	Encoding FloatList Floating FontInfo
-	Layout LayoutFile LayoutModuleList Lexer ModuleList TextClass
-	Spacing version)
+foreach(_src insets/InsetLayout Author Color Counters
+	Encoding FloatList Floating FontInfo LaTeXPackages
+	Layout LayoutFile LayoutModuleList Lexer
+	ModuleList Spacing TextClass version)
 	list(APPEND LINKED_sources ${TOP_SRC_DIR}/src/${_src}.cpp)
 	list(APPEND LINKED_headers ${TOP_SRC_DIR}/src/${_src}.h)
 endforeach(_src)
@@ -31,12 +31,17 @@
 
 add_definitions(-DTEX2LYX)
 
+if(WIN32)
+	set(FILE_RC ${TOP_SRC_DIR}/development/cmake/lyx.rc) 
+	message(STATUS "Using icon defined in resource file: ${FILE_RC}") 
+	endif() 
+
 if(NOT LYX_MERGE_FILES)
-	add_executable(${_tex2lyx} ${tex2lyx_sources} ${LINKED_sources} ${tex2lyx_headers} ${LINKED_headers})
+	add_executable(${_tex2lyx} ${tex2lyx_sources} ${LINKED_sources} ${tex2lyx_headers} ${LINKED_headers} ${FILE_RC})
 else()
 	lyx_const_touched_files(_allinone  tex2lyx_sources)
 	lyx_const_touched_files(_allinone_linked  LINKED_sources)
-	add_executable(${_tex2lyx} ${_allinone_files} ${_allinone_linked_files})
+	add_executable(${_tex2lyx} ${_allinone_files} ${_allinone_linked_files} ${FILE_RC})
 endif()
 
 target_link_libraries(${_tex2lyx}
@@ -51,7 +56,7 @@
 endif()
 
 if(APPLE)
-	target_link_libraries(${_tex2lyx} "-framework Carbon")
+	target_link_libraries(${_tex2lyx} "-framework AppKit")
 endif()
 
 project_source_group("${GROUP_CODE}" tex2lyx_sources tex2lyx_headers)

=== debian/changelog ===
lyx (2.0.3-3build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:43 +0100

lyx (2.0.3-3) unstable; urgency=low

  * Recommend texlive-generic-recommended, since ulem.sty was moved
    there. Closes: #671749.
  * Add debugging symbols package lyx-dbg. Closes: #438161.

 -- Per Olofsson <pelle@debian.org>  Wed, 30 May 2012 18:06:22 +0200

lyx (2.0.3-2) unstable; urgency=low

  * Create /usr/share/doc/fonts-lyx before moving the readme file there.
    Fixes FTBFS when building binary-arch.

 -- Per Olofsson <pelle@debian.org>  Tue, 06 Mar 2012 17:16:26 +0100

lyx (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
    a new enough version of dpkg rather than using
    'dpkg-maintscript-helper supports' guards, leading to more predictable
    behaviour on upgrades. Thanks to Colin Watson. Closes: #659721.
  * Use debhelper v9 mode.
  * Use xz source tarballs.
  * Make /usr/share/lyx/scripts/listerrors executable.
  * Rename ttf-lyx to fonts-lyx.
  * Bump Standards-Version to 3.9.3. No changes.
  * Make a symlink from /usr/share/bash-completion/completions/lyx to
    the installed completion file and remove /etc/bash_completion.d/lyx.

 -- Per Olofsson <pelle@debian.org>  Sun, 04 Mar 2012 17:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>
 Section: editors
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
 Homepage: http://www.lyx.org/
-Build-Depends: python (>= 2.6.6-3), debhelper (>= 8.1.0~),
+Build-Depends: python (>= 2.6.6-3), debhelper (>= 9),
  libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
  autotools-dev, libqt4-dev, libboost-dev,
  libboost-filesystem-dev, libboost-signals-dev,
@@ -17,10 +17,9 @@
 
 Package: lyx
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
-Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, ttf-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html 
-Suggests: rcs, dvipost, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox
+Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
+Suggests: rcs, dvipost, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= ${binary:Version})
 Description: document processor
  LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
  typesetting quality of LaTeX available for people who are used to
@@ -46,7 +45,7 @@
 
 Package: lyx-common
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: lyx
 Description: architecture-independent files for LyX
@@ -54,12 +53,19 @@
  architecture-dependent. See the lyx package for a description of LyX
  itself.
 
-Package: ttf-lyx
+Package: lyx-dbg
+Architecture: any
+Depends: ${misc:Depends}, lyx (= ${binary:Version})
+Section: debug
+Priority: extra
+Description: debugging symbols for LyX
+ This package contains debugging symbols for LyX.
+
+Package: fonts-lyx
 Architecture: all
 Section: fonts
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
-Description: TrueType versions of some TeX fonts
+Description: TrueType versions of some TeX fonts used by LyX
  These fonts are needed for the visual math symbol display in
  LyX. They can also be used to display MathML in Gecko-based browsers
  like Iceweasel.
@@ -74,3 +80,14 @@
   * msam10  - Extra math symbols, first series
   * msbm10  - Extra math symbols, second series, including Blackboard Bold
   * wasy10  - Waldi symbol fonts
+
+Package: ttf-lyx
+Architecture: all
+Section: oldlibs
+Priority: extra
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, fonts-lyx
+Description: transitional package
+ This package only exists to facilitate the renaming of ttf-lyx to
+ fonts-lyx. You may safely remove this package once no other package
+ depends on it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev,python2,tex --builddirectory

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--enable-warnings \
		--enable-nls \
		--with-gnu-ld \
		--without-aspell \
		--without-hunspell \
		--with-enchant \
		--with-x \
		--without-included-gettext \
		--without-included-boost \
		--without-included-mythes \

override_dh_auto_install:
	dh_auto_install --destdir=debian/lyx-common

# move binaries to arch package
	mkdir -p debian/lyx/usr/share
	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man

# move fonts to font package
	mkdir -p debian/fonts-lyx/usr/share/fonts/truetype
	mv debian/lyx-common/usr/share/lyx/fonts \
		debian/fonts-lyx/usr/share/fonts/truetype/lyx

# remove empty directory
	rmdir debian/lyx-common/usr/share/lyx/images/commands

# move tex files to correct place
	mkdir -p debian/lyx-common/usr/share/texmf/tex/latex
	mv debian/lyx-common/usr/share/lyx/tex \
		debian/lyx-common/usr/share/texmf/tex/latex/lyx

# make script executable
	chmod 755 debian/lyx-common/usr/share/lyx/scripts/listerrors

# handle font documentation
	mkdir -p debian/fonts-lyx/usr/share/doc/fonts-lyx
	mv debian/fonts-lyx/usr/share/fonts/truetype/lyx/ReadmeBaKoMa4LyX.txt \
		debian/fonts-lyx/usr/share/doc/fonts-lyx/
	rm debian/fonts-lyx/usr/share/fonts/truetype/lyx/BaKoMaFontLicense.txt

override_dh_installdocs:
	mkdir -p debian/lyx/usr/share/doc
	ln -s lyx-common debian/lyx/usr/share/doc/lyx

	mkdir -p debian/lyx-dbg/usr/share/doc
	ln -s lyx debian/lyx-dbg/usr/share/doc/lyx-dbg

	dh_installdocs

override_dh_python2:
	dh_python2 /usr/share/lyx

override_dh_installtex:
	dh_installtex -plyx-common

override_dh_strip:
	dh_strip --dbg-package=lyx-dbg

override_dh_builddeb:
	dh_builddeb -- -Z xz

## lyx 2.0.5.1

=== debian/changelog ===
lyx (2.0.5.1-1) experimental; urgency=low

  [ Sven Hoexter ]
  * New upstream release.
  * Add Nick Andrik to Uploaders.

  [ Nick Andrik ]
  * patches/prefer-xdg-open:
    - Updated patch since new upsteram includes more programs
  * debian/rules:
    - Delete empty folder no longer needed 

 -- Nick Andrik <nick.andrik@gmail.com>  Tue, 02 Apr 2013 02:02:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: lyx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
-Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>
+Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
+Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
 Section: editors
 Priority: optional
 Standards-Version: 3.9.3

## lyx 2.0.6

=== development/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -178,9 +178,10 @@
 		setstripped(PACKAGE_BASE ${CMAKE_MATCH_1})
 		setstripped(PACKAGE_VERSION ${CMAKE_MATCH_2})
 		setstripped(PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
-		if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\).*$")
+		if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\)\(\\.\([0-9]+\)\)?.*$")
 			set(LYX_MAJOR_VERSION ${CMAKE_MATCH_1})
 			set(LYX_MINOR_VERSION ${CMAKE_MATCH_2})
+			set(LYX_REVISION_VERSION ${CMAKE_MATCH_4})
 			set(LYX_DIR_VER "LYX_DIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
 			set(LYX_USERDIR_VER "LYX_USERDIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
 			set(LYX_INSTALL_SUFFIX "${CMAKE_MATCH_1}.${CMAKE_MATCH_2}")
@@ -386,5 +387,3 @@
 
 if(LYX_PCH)
 	# PCHs not supported by cmake: http://www.cmake.org/Bug/view.php?id=1260
-	# Not sure if it works for all non-msvc compilers
-	include(PCHSupport_26)

=== development/cmake/doc/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(doc)

SET(_docs)
file(GLOB_RECURSE _rel_lyx_docs RELATIVE "${TOP_SRC_DIR}/lib/doc" "${TOP_SRC_DIR}/lib/doc/*.lyx" "${TOP_SRC_DIR}/lib/doc/*.txt")

foreach(_rel_doc ${_rel_lyx_docs})
  if ("${_rel_doc}" MATCHES "/" )
    string(REGEX REPLACE "/[^/]*$" "" _rel_dir_part ${_rel_doc})
  else("${_rel_doc}" MATCHES "/")
    set(_rel_dir_part ".")
  endif("${_rel_doc}" MATCHES "/")
  set(_created_doc "${CMAKE_CURRENT_BINARY_DIR}/${_rel_doc}")
  get_filename_component(_doc_dir ${_created_doc} PATH)
  file(MAKE_DIRECTORY ${_doc_dir})
  #message("found relative file " ${_rel_doc})
  #message("input ${TOP_SRC_DIR}/lib/doc/${_rel_doc}")
  #message("output ${_created_doc}")
  #message("rel_dir_part ${_rel_dir_part}")
  SET_SOURCE_FILES_PROPERTIES(${_created_doc} GENERATED)
  add_custom_command(
    OUTPUT "${_created_doc}"
    COMMAND ${LYX_PYTHON_EXECUTABLE} "${TOP_SRC_DIR}/development/cmake/doc/ReplaceValues.py" "LYX_USERDIR_VER=${LYX_USERDIR_VER}" "LYX_DIR_VER=${LYX_DIR_VER}" "${TOP_SRC_DIR}/lib/doc/${_rel_doc}" > "${_created_doc}"
    DEPENDS "${TOP_SRC_DIR}/lib/doc/${_rel_doc}" "${TOP_SRC_DIR}/development/cmake/doc/ReplaceValues.py"
    )
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_rel_doc}" DESTINATION "${LYX_DATA_SUBDIR}doc/${_rel_dir_part}")
  LIST(APPEND _docs "${_created_doc}")
endforeach(_rel_doc)

ADD_CUSTOM_TARGET(doc ALL DEPENDS ${_docs})

=== development/cmake/lyx2lyx/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 if (UNIX)
 	set(_project "lyx2lyx")
-	include(../PyCompile)
+	# include(../PyCompile)
 endif()
 
 install(PROGRAMS ${TOP_SRC_DIR}/lib/lyx2lyx/lyx2lyx DESTINATION ${LYX_DATA_SUBDIR}lyx2lyx)

=== development/cmake/src/client/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

set(_lyxclient lyxclient${PROGRAM_SUFFIX})
project(${_lyxclient})

file(GLOB _lyxclient_sources ${TOP_SRC_DIR}/src/client/*.cpp)
file(GLOB _lyxclient_headers ${TOP_SRC_DIR}/src/client/*.h)

list(REMOVE_ITEM _lyxclient_headers "${TOP_SRC_DIR}/src/client/pch.h")
list(REMOVE_ITEM _lyxclient_sources "${TOP_SRC_DIR}/src/client/lyxclient.cpp")

include_directories(BEFORE 
	"${TOP_SRC_DIR}/src/client" 
	"${TOP_SRC_DIR}/boost" 
	${ZLIB_INCLUDE_DIR})

if(LYX_MERGE_FILES)
	set(_lyxclient_sources ${_lyxclient_sources} ${TOP_SRC_DIR}/src/TexRow.cpp)
endif()

add_executable(${_lyxclient} ${_lyxclient_sources} ${_lyxclient_headers})

target_link_libraries(${_lyxclient}
	support
	${Lyx_Boost_Libraries}
	${LIBINTL_LIBRARIES}
	${ICONV_LIBRARY}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	)

if(ASPELL_FOUND)
	target_link_libraries(${_lyxclient} ${ASPELL_LIBRARY})
endif()

if(APPLE)
	target_link_libraries(${_lyxclient} "-framework AppKit")
endif()

install(TARGETS ${_lyxclient} DESTINATION bin)

=== development/cmake/boost/libs/signals/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
#

project(boost_signals)

set(boost_signals_sources
	connection.cpp 
	named_slot_map.cpp 
	signal_base.cpp 
	slot.cpp 
	trackable.cpp
)

lyx_add_path(boost_signals_sources ${TOP_SRC_DIR}/boost/libs/signals/src)

if(NOT LYX_MERGE_FILES)
	add_library(boost_signals STATIC ${boost_signals_sources})
else()
	lyx_const_touched_files(_allinone  boost_signals_sources)
	add_library(boost_signals STATIC ${_allinone_files})
endif()

=== debian/changelog ===
lyx (2.0.6-1build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:38 +0100

lyx (2.0.6-1) unstable; urgency=low

  [ Nick Andrik ]
  * New upstream release
  * Bumped up Standards version to 3.9.4 (no changes needed)
  * Updated prefer-xdg-open patch since new upsteram includes more programs

  [ Sven Hoexter ]
  * Unversion build depedency on python - satisfied since squeeze.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 02 Jun 2013 19:09:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lyx
-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
 Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
 Section: editors
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
 Homepage: http://www.lyx.org/
-Build-Depends: python (>= 2.6.6-3), debhelper (>= 9),
+Build-Depends: python, debhelper (>= 9),
  libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
  autotools-dev, libqt4-dev, libboost-dev,
  libboost-filesystem-dev, libboost-signals-dev,
